Page MenuHome

Crash on Cycles render preview playing & stopping animation when using Quick Smoke
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: Intel(R) HD Graphics 4400 Intel 4.3.0 - Build 20.19.15.5058

Blender Version
Broken: version: 2.92.0 Alpha, branch: master, commit date: 2020-10-23 11:34, hash: rBe4728d0a167c
Worked: 2.83 LTS

Short description of error
Blender crash on cycles render preview mode when changing frame, or playing and stopping animation with volume objects.

Exact steps for others to reproduce the error

  1. Open file
  2. Bake smoke domain
  3. Switch to rendered shading
  4. Play and stop a few times

Bug in 2.92A

.
Working in 2.83 LTS

Event Timeline

Evan Wilson (EAW) changed the task status from Needs Triage to Confirmed.EditedOct 26 2020, 3:49 PM

Confirmed.

Stack trace:
blender.exe         :0x00007FF7F7E6ECE0  ccl::BVH::pack_primitives C:\blender-git\blender\intern\cycles\bvh\bvh.cpp:306
blender.exe         :0x00007FF7F7E6F1F0  ccl::BVH::refit C:\blender-git\blender\intern\cycles\bvh\bvh.cpp:188
blender.exe         :0x00007FF7F4E0AF50  ccl::Geometry::compute_bvh C:\blender-git\blender\intern\cycles\render\geometry.cpp:203
blender.exe         :0x00007FF7F4E0A990  std::_Func_impl_no_alloc<std::_Binder<std::_Unforced,void (__cdecl ccl::Geometry::*)(ccl::Device *, C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Tools\MSVC\14.27.29110\include\functional:904
blender.exe         :0x00007FF7F6EA0060  tbb::internal::function_task<std::function<void __cdecl(void)> >::execute C:\blender-git\lib\win64_vc15\tbb\include\tbb\task.h:1049
tbb.dll             :0x00007FF9584E37A0  tbb::recursive_mutex::scoped_lock::internal_try_acquire
tbb.dll             :0x00007FF9584E37A0  tbb::recursive_mutex::scoped_lock::internal_try_acquire
blender.exe         :0x00007FF7F3E8DAC0  tbb::internal::task_group_base::wait C:\blender-git\lib\win64_vc15\tbb\include\tbb\task_group.h:168
blender.exe         :0x00007FF7F6EA0410  ccl::TaskPool::wait_work C:\blender-git\blender\intern\cycles\util\util_task.cpp:46
blender.exe         :0x00007FF7F4E0BF40  ccl::GeometryManager::device_update C:\blender-git\blender\intern\cycles\render\geometry.cpp:1432
blender.exe         :0x00007FF7F4D8D300  ccl::Scene::device_update C:\blender-git\blender\intern\cycles\render\scene.cpp:266
blender.exe         :0x00007FF7F4D8FDD0  ccl::Scene::update C:\blender-git\blender\intern\cycles\render\scene.cpp:500
blender.exe         :0x00007FF7F4DA7390  ccl::Session::update_scene C:\blender-git\blender\intern\cycles\render\session.cpp:943
blender.exe         :0x00007FF7F4DA58F0  ccl::Session::run_cpu C:\blender-git\blender\intern\cycles\render\session.cpp:701
blender.exe         :0x00007FF7F4DA54B0  ccl::Session::run C:\blender-git\blender\intern\cycles\render\session.cpp:776
blender.exe         :0x00007FF7F6EA2C60  ccl::thread::run C:\blender-git\blender\intern\cycles\util\util_thread.cpp:53
blender.exe         :0x00007FF7F463D0C0  std::thread::_Invoke<std::tuple<void (__cdecl ceres::internal::ThreadPool::*)(void),ceres::internal C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Tools\MSVC\14.27.29110\include\thread:44
ucrtbase.dll        :0x00007FF980CC0F70  beginthreadex
KERNEL32.DLL        :0x00007FF982127C10  BaseThreadInitThunk
ntdll.dll           :0x00007FF98470CE80  RtlUserThreadStart


Tested using:
System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 470/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 391.35

Blender Version
Broken: version: 2.92.0 Alpha, branch: master, commit date: 2020-10-26 13:34, hash: rB9d24d1b20cc8, which includes {ae5fd92228f8}

@Brecht Van Lommel (brecht), I am going to test to see if D9340: Fix T81893: Blender crashes when using Gas Fluid Domain in Cycles fixes the crash.

Evan Wilson (EAW) triaged this task as High priority.Oct 26 2020, 3:49 PM

Can we have a general skip playback rendering strategy to avoid those crashes about heavy stuff to render on machines that are not build to do it ?
We could have a black screen with a warning : "too heavy render to allow playback" and just render frame when playback is stopped.

Anyways, playback in Solid mode is more satisfying to have an idea of how smoke animation looks like.

That case is so far from a real practice. Just because it is a crash, it has an higher priority than other real issues.

On second thought, while both of these reports produce the same stack trace for me, and both are fixed by the one line change diff D9340 applied on top of current master, I will again separate them (as @Richard Antalik (ISS) asked to be done in T82016: Crash on Cycles render preview when using Volume objects) for easier testing. This report involves a mesh object domain created by quick smoke, and in my testing it can sometimes take starting and stopping the playback several times before it crashes. T81718: Volume Object crash on frame change involves a volume object that crashes for me on a single frame change.

Sorry about the noise.

@ronan ducluzeau (zeauro) from your comment I take it that you have tested this report's file and it didn't crash for you. What are your system specs? So far (although I could be wrong) these reports only involve Intel CPUs and NVIDIA GPU cards. I wonder if AMD CPUs for example aren't affected. If you could, please also test T81718 and report your findings there as well.

Evan Wilson (EAW) renamed this task from Crash on Cycles render preview playing&stopping animation when using Volume objects to Crash on Cycles render preview playing & stopping animation when using Quick Smoke.Oct 27 2020, 5:11 PM